LINUX.ORG.RU

Ubuntu 16.04.4 LTS

 , ,


2

2

Вышло накопительное обновление дистрибутива 16.04.4 LTS, в котором включены все последние исправления, в том числе и исправления уязвимостей Spectre и Meldtowm, снижающие производительность. Исправлены ошибки в инсталляторе и загрузчике. Также вышли субрелизы дериативов - Kubuntu, Xubuntu, Lubuntu и другие.

В состав вошли улучшения из 17.10 - ядро 4.13, свежие свободные и проприетарные драйвера, X.org и Mesa. Обновление недоступно для PowerPC 32bit, поскольку в PowerPC поддержка HWE не осуществляется.

Поддержка Ubuntu 16.04 продлится до 2021 года, при этом до 2021 года поддерживаться будут 16.04.0, 16.04.1 и 16.04.5, которая выйдет в августе 2018 года. Данный выпуск будет поддерживаться до августа 2018, после чего нужно будет либо поставить General Kernel /General X.org, либо перейти на HWE из Ubuntu 18.04 Bionic Beawer.

Для перехода с General или старых версий HWE нужно установить пакеты linux-generic-hwe-16.04 xserver-xorg-hwe-16.04 с рекомендациями.

>>> Подробности

★★

Проверено: Shaman007 ()
Ответ на: комментарий от eR

Это чтобы заходили легче. Хотя квазару и они велики, вон какой злой постоянно :)

anonymous ()
Ответ на: комментарий от Dimez

Ну вот пакеты, которые отличаются, и не будут поддерживаться Kubuntu позднее 2019 года. Что непонятного? И толку человеку, использующего Kubuntu, от того, что Ubuntu будет до 2021 года, если это для него касается лишь пересечения пакетов Ubuntu и Kubuntu, т.е. общих для них?

anonymous ()

!!! Help

Парни купил у барыг леново ноут ,4 гигига спец для лтн, эта мразь сегодня грузит только венду - куда делся grunb загрузчик - жестких отключентй не было -м куда копать я лузер в линуках помогите...

ncln ()
Ответ на: !!! Help от ncln

сработало восстановление венды, она заного всё перезаписала.

eR ★★★★★ ()
Ответ на: комментарий от anonymous

Какие пакеты там специфичные? KDE? Так по этому критерию уже и 16.04 можно объявить неподдерживаемой, и debian 9 тоже можно назвать end of life. Или уже мейтейнеры пишут софт?

Lowes ★★ ()
Ответ на: комментарий от Dimez

Это одно и то же, отличается пакетами

Ни одно и то же. Болт разный. На KDE в палне поддержки кладут побольше. Вот и всё

anonymous ()
Ответ на: комментарий от anonymous

квазару и они велики, вон какой злой постоянно

Я почему раньше злой был? Потому что у меня смазки не было.

anonymous ()
Ответ на: комментарий от Dimez

Агрессивный зашоренный ламер, фанат офф. обновлений боящийся антивирусов. Обиженный свидетель искривления задницы Эйнштейна.

Napilnik ★★★★★ ()
Ответ на: комментарий от Napilnik

Это что за набор букв, дурилка картонная, не отличающаяся умом и сообразительностью? :)

Ты опять не вынул член изо рта? :))

Dimez ★★★★★ ()
Последнее исправление: Dimez (всего исправлений: 2)

slusb.ko

У меня одного так спотыкается? Это из-за того, что они modemmanager обновили? Не пойму. run-parts: executing /etc/kernel/postinst.d/dkms 4.13.0-36-generic /boot/vmlinuz-4.13.0-36-generic grep: /lib/modules//build/.config: No such file or directory Error! Build of slusb.ko failed for: 4.13.0-36-generic (x86_64)

gregg128 ()
Ответ на: slusb.ko от gregg128

Это из-за того, что они modemmanager обновили?

Не собирается slusb.ko.

Выложи побольше информации и не забудь про lorcode.

Dimez ★★★★★ ()
Ответ на: комментарий от Napilnik

Кубунта ведь как правило поддерживается столько же, сколько и убунту. Репы ведь одни.

rumgot ★★★★ ()
Ответ на: комментарий от rumgot

Кубунта ведь как правило поддерживается столько же, сколько и убунту. Репы ведь одни.

Неужели так тяжело сходить и проверить, насколько там репы одни и те же? https://kubuntu.org/getkubuntu/

Napilnik ★★★★★ ()
Ответ на: комментарий от Napilnik

Репы одни и те же - убунтовские (также как в xubuntu и lubuntu, еще минт(в нем убунтовские репы + свои)). Посмотри в установленной кубунте в sources.list.

rumgot ★★★★ ()

исправления уязвимостей Spectre и Meldtowm, снижающие производительность.

А как эти исправления на localhoste проще всего выключить?

alt-x ★★★★★ ()
Ответ на: комментарий от rumgot

Посмотри в установленной кубунте в sources.list

Если честно, влом копаться в виртуалке. Я даже федорошапочный пакет bluecurve-cursor-theme-8.0.2-6.el6.noarch.rpm в дебку не конвертировал и в 14 лтс не ставил. На форуме кубунты пишут что Марк Богатый Двигающий-вперёд-назад-достоинством анонсировал выход 18 бубунты лтс. Я не понимаю, для каких нужд необходимо поддерживать работоспособность 16 лтс кубунты, и трахаться с замечательными убунтушными обновлениями, дольше чем живёт 14 лтс кубунта. Для редких счастливчиков, которым для железа необходимо ведро от 16 кубунты, до 2019 года можно её и поставить, а потом должна выйти кубунта 18 лтс и на неё можно будет перепрыгнуть и с 14 и с 16 версий. Очевидно, что так много долгоживущих лтс версий кубунтоидам не нужно.

Napilnik ★★★★★ ()
Ответ на: комментарий от step7

Пиши правильно!

Long Life Ubuntu!

Long live Ubuntu!

Апчих!

Апчхи!

anonymous ()
Ответ на: комментарий от Napilnik

Для редких счастливчиков, которым для железа необходимо ведро от 16 кубунты, до 2019 года можно её и поставить, а потом должна выйти кубунта 18 лтс и на неё можно будет перепрыгнуть и с 14 и с 16 версий.

на 14.04 сейчас ядро с 16.04. переходить на 18.04 смысла нет вообще. в 16.04 было сустемдэ - это минус, но хотя бы был юнити, 18.04 - клон дебиана/рехада/любого васянского дистрибутива на сустемдэ и гноме.

что там, обновления нужны? рачик выкатит столько обновлений, что пережевать не сможете. хочется пообмазываться лтс релизами - рхел интепрайз. в принципе всё везде одно и то же, выбор зависит только от предпочтений сорта васянства.

anonymous ()
Ответ на: комментарий от anonymous

что там, обновления нужны?

Они не мне нужны, на них садят как на иглу чтобы тестили, отрабатывали бесплатные ОС.

хочется пообмазываться лтс релизами - рхел интепрайз.

Денег стоит. Говорю же, кубунта нужна для флешку сунул-вынул и пошёл колбасить дальше на rpm дистрибутивах. Гном и юнити для этого противопоказаны, там это быстро не получится.

Napilnik ★★★★★ ()
Ответ на: комментарий от Napilnik

Денег стоит.

centos например, любой дебиан. всё один антивирус попова.

anonymous ()
Ответ на: комментарий от Napilnik

Все это хорошо. Я лишь утверждал, что репозиторий один.

rumgot ★★★★ ()
Ответ на: комментарий от rumgot

Срок поддержки определяется не только репозиторием, но и дополнительным полем в метаданных пакета.

anonymous ()
Ответ на: комментарий от rumgot

Я лишь утверждал, что репозиторий один.

Там их пачка и не яндексится команда чтобы нормально посмотреть их в консоли. Ну, допустим, хостятся подключенные по умолчанию репозитории на убунтушных серверах, но будут ли кубунтоводы хоть что-то делать чтобы исправлять нужные для 16 лтс кубунты пакеты после окончания срока её поддержки - а хз, может и нет, играйте в лотерею или приобретайте платную поддержку у Каноникла.

Napilnik ★★★★★ ()
Ответ на: комментарий от Napilnik

Там их пачка и не яндексится команда чтобы нормально посмотреть их в консоли.

Запомню, чтобы дурачок не успел отредактировать этот перл :)

Dimez ★★★★★ ()
Ответ на: комментарий от Dimez

К вашему сведению: через 15 минут или после ответа комментарий захлопывается и редактированию не подлежит.

Lowes ★★ ()

при этом до 2021 года поддерживаться будут 16.04.0, 16.04.1 и 16.04.5, которая выйдет в августе 2018 года. Данный выпуск будет поддерживаться до августа 2018,

Что-то бредово. О чём речь? Если я регулярно делаю apt update && apt full-upgrade, то у меня естественно обновляются все пакеты и у меня последняя версия (lsb_release -a показывает 16.04.3, до 16.04.4 пока не обновлялся). А если я не буду обновляться, то как они могут у меня что-то поддерживать? О поддержке чего речь?

pyroman ()
Ответ на: комментарий от Napilnik

В смысле хостятся? Я тебе пишу: у них один репозиторий.

rumgot ★★★★ ()
Ответ на: комментарий от rumgot

Он же сам написал про «агрессивного зашоренного ламера» :))

Dimez ★★★★★ ()
Ответ на: комментарий от rumgot

В смысле хостятся?

Адреса в конфиге прописаны убунтушные.

Я тебе пишу: у них один репозиторий.

Там пачка адресов, а из твоего ответа следует что все лишние адреса - зеркала. Отличная автоматизация в убунте! Никто не предложит аналог команды «yum repolist», которая выводит список всех подключенных репозиториев, вместо этого вчитывайся в конфиги или верь кому-то на слово.

Napilnik ★★★★★ ()
Ответ на: комментарий от rumgot

Репы одни и те же

Одни - да не одни.
Все убунтовские пакеты в main, но кде и прочее в universe.
Та поддержка, которую заявляет космонавт, распространяется лишь на main

TheAnonymous ★★★★★ ()
Ответ на: комментарий от rumgot

Речь про поддержку.

Кубунта ведь как правило поддерживается столько же, сколько и убунту. Репы ведь одни.

Репы то может и одни, но поддержка canonical распространяется только на секцию main.
С universe по сути вообще ничего не гарантируется, но конкретно кубунта заявляет до 2019 года (ссылку напильник привёл). Получается, до 2021 будет поддерживаться только ядро и какие-то системные компоненты, типа иксов, а кеды и прочий кубунтовый софт никто поддерживать не будет.

TheAnonymous ★★★★★ ()
Ответ на: комментарий от Lowes

Так по этому критерию уже ... и debian 9 тоже можно назвать end of life. Или уже мейтейнеры пишут софт?

С чего бы это вдруг? Во-первых, Plasma 5.8 - LTS (недавно исправление прилетало как раз). Во-вторых, поддержка безопасности помимо мейнтейнеров осуществляется Security Team, которая тоже бэкпортит исправления. В-третьих, да, мейнтейнеры пишут софт, по крайней мере некоторые - или вы думаете, что среди Debian-овцев мало разработчиков?

anonymous ()
Ответ на: комментарий от TheAnonymous

Репы то может и одни, но поддержка canonical распространяется только на секцию main.

Да и там сроки разные бывают, не везде 5y.

anonymous ()
Ответ на: комментарий от rumgot

Херню какую-то несешь. Я тебе про Фому...

Это ты херню несёшь. Если пользуешься убунтушной терминологией, про которую за пределами бубунты никто и слыхом не слыхивал, то изучи матчасть прежде чем наезжать. То что ты называешь «секциями репозитория», в нормальных дистрибутивах называется отдельным репозиторием, и консольная команда чётко это показывает. Если пакеты лежат в отдельном каталоге и имеют отдельную базу данных, то это отдельный репозиторий а не секция. По твоей же терминологии, все репозитории что хостятся на яндексе, это один репозиторий, они же все на яндексе и их же адреса можно вписать в один текстовой файл:)

Napilnik ★★★★★ ()
Ответ на: комментарий от Napilnik

Не понял только ты один. Хотя даже не не понял, а просто дурака строишь из себя, чтобы не признавать ошибок.

rumgot ★★★★ ()
Ответ на: комментарий от rumgot

На самом деле, кукареку пошло отсюда
Ubuntu 16.04.4 LTS
На кубунтовские пакеты поддержка до 2021 не заявлена.

Можно спорить об определениях, что есть репозиторий, секция, зеркало, но в контексте поддержки и обновлений это разные сущности.

Алсо, ещё можно поговорить о дебиановских пакетах с криптографией во время закона о запрете экспорта из СШП

TheAnonymous ★★★★★ ()
Ответ на: комментарий от rumgot

Не понял только ты один. Хотя даже не не понял, а просто дурака строишь из себя, чтобы не признавать ошибок.

А у тебя умного состроить и не получится, за отсутствием образца поблизости. Также спешу напомнить: телепаты в отпуске.

Napilnik ★★★★★ ()
Ответ на: комментарий от Napilnik

Ну поупрямся и дальше. Глупцов как раз и отличает неумение признавать ошибки.

rumgot ★★★★ ()
Ответ на: комментарий от rumgot

Ты так и не научился излагать свои мысли человеческим языком и при этом что-то говоришь про чужие ошибки? Ты типа нормальный?

Napilnik ★★★★★ ()
Ответ на: комментарий от Napilnik

Выше я утверждал, что в установленных системах убунту и кубунту используется один и тот же убунтовский репозиторий(в общем случае (т.е. без учета зеркал) это http://archive.ubuntu.com/ubuntu/). А ты с этим споришь, но в качестве доводов приводишь какие-то размытые факты, которые не противоречат моему утверждению.

rumgot ★★★★ ()
Ответ на: комментарий от rumgot

Это у тебя размытые утверждения. Ты консольную команду выводящую список подключенных репозиториев и количество пакетов в них находящееся привёл? По твоему адресу я нахожу кучу репозиториев: репозитории с обновлениями, репозитории для безопасности и прочие, что соответствует записанному в кубунтоидном конфиге.

Napilnik ★★★★★ ()
Ответ на: комментарий от Napilnik

А нахрена команда? Тебе надо команда, так ищи. Чтобы посмотреть, какие система использует репозитории, достаточно проанализировать содержимое sources.list. Для этого достаточно текстового редактора или cat-а. Единственное, что я могу принять из твоей воды - это то что я называю репозиторий - ты называешь репозитории. Но это лингвистика и вопрос определения, мне на это плевать. Главное, что я тебе уже долго пытаюсь вдолбить, что в убунту и кубунту используется один репозиторий или на твоем языке - репозитории.

rumgot ★★★★ ()
Последнее исправление: rumgot (всего исправлений: 1)
Ответ на: комментарий от rumgot

А нахрена команда?

Команда нужна чтобы подтвердить твои слова про якобы один репозиторий.

Тебе надо команда, так ищи.

Есть подозрение что убунтушники этой командой обделены. Бубунтообразные не являются моими постоянными дистрибутивами, их даже обновлять обычно не нужно - для редкого включения в виртуалках и так сойдёт. Посему это нужно тебе, т.к. за бубунту пригорает у тебя.

Чтобы посмотреть, какие система использует репозитории, достаточно проанализировать содержимое sources.list. Для этого достаточно текстового редактора или cat-а.

В редакторе видна пачка репозиториев. А чтобы понять 4 их или ~16, надо заниматься бесплатным, то есть даром, переводом с буржуйского. А команда «yum repolist», в федорообразных, всё посчитает сама, прошерстит их базы данных и выдаст краткий отчёт в автоматическом режиме, что есть удобно и не рукожопно, как в твоём любимом дистрибутиве.

это то что я называю репозиторий - ты называешь репозитории

Это важный момент. Для секций репозитория адреса писать не надо, они находятся сами в автоматическом режиме. А если адреса записаны в конфиге дистра, значит есть техническая возможность прописать все адреса из разных хостингов, даже не зеркала а просто разные - обновления из репозитория Васи Пупкина, безопасность из репозитория Вани Табуреткина и т.д. То есть в кубунте по умолчанию подключено несколько репозиториев а не один, а то что все они хостятся по убунтушному адресу, является частным случаем.

Главное, что я тебе уже долго пытаюсь вдолбить, что в убунту и кубунту используется один репозиторий или на твоем языке - репозитории.

И что ты есть хотеть этим сказать? В бубунте с третьегномом и в кубунте по умолчанию разные наборы пакетов. Набор пакетов бубунты поддерживается до 2021 года, а кубунтушный - до 2019 :)))))

Napilnik ★★★★★ ()
Ответ на: комментарий от Napilnik

Посему это нужно тебе, т.к. за бубунту пригорает у тебя.

Мне нет. Тебе да. Я тебе написал, где смотреть описание. Ты сам написал про команду, хотя никто тебя не спрашивал про нее. Если без команды не можешь проверить, тогда не делай утверждений, которые что то оспаривают. Далее ты опять взял факт, про который тебя никто не спрашивал (про разные наборы пакетов)!? Ну а спорить про определения и словесную эквилибристику я вообще не собираюсь - это идиотское занятие. И напоследок повторю свое утверждение, которое ты не смог оправергнуть - в убунту и кубунту используется один репозиторий.

rumgot ★★★★ ()
Ответ на: комментарий от rumgot

Мне нет. Тебе да. Я тебе написал, где смотреть описание. Ты сам написал про команду, хотя никто тебя не спрашивал про нее.

У тебя горит от того, что в федорообразных подтвердить базар легко одной командой, а тебе приходится давить на психику оппонента и раскрутить его на веру.

Если без команды не можешь проверить, тогда не делай утверждений, которые что то оспаривают.

Без команды ясно видно что репозиториев в кубунте по умолчанию подключено больше одного. А 4 или 16 - значения сейчас не имеет.

И напоследок повторю свое утверждение, которое ты не смог оправергнуть - в убунту и кубунту используется один репозиторий.

Глаза разуй - выше доказано что в кубунте используется больше одного репозитория. А ещё выше есть ссылка, в которой утверждается что поддержка 16 лтс кубунты заканчивается в 2019 году, а какие репозитории при этом прокиснут, меня не интересует.

Napilnik ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.